<?php
namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities;
use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities\Query;

class ConsumidorFamiliaService {
    
    protected $connection;
    protected $entityManager;
    
    public function __construct(Connection $connection, $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
    }

    public function saveExtrato($conditions){
    	$params = array(
			':CDFILIAL' => $conditions['CDFILIAL'],
			':CDPRODUTO' 	=> $conditions['CDPRODUTO'],
			':NRORG'    => $conditions['NRORG']
		);
    	return $this->connection->fetchAll(self::VERIFY_PROD_ON_FAMILIA, $params);
    }
    
    public function insertExtrato($conditions){
        try{
            return $this->entityManager->getConnection()->executeQuery(self::INSERT_EXTRATO, $conditions);
        } catch(Exception $e){
            throw $e;
        }
    }
    
    const INSERT_EXTRATO = "
       INSERT INTO EXTRATOCONS (CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, DTMOVEXTCONS, NRSEQMOVEXT, DSOPEEXTCONS, VRMOVEXTCONS, VRSALDCONEXT, IDTPMOVEXT, CDOPERINCLUSAO)
       VALUES (:CDCLIENTE, :CDCONSUMIDOR, :CDFAMILISALD, SYSDATE, :NRSEQMOVEXT, 'Adicionado Manualmente pelo Retail', :VRMOVEXTCONS, :VRSALDCONEXT, :IDTPMOVEXT, :CDOPERINCLUSAO)
    ";
} 

